Loading...
Searching...
No Matches
dolfin::Extrapolation Class Reference

`#include <Extrapolation.h>`

## Static Public Member Functions

static void | extrapolate (Function &w, const Function &v)
| Compute extrapolation w from v.

## Detailed Description

This class implements an algorithm for extrapolating a function on a given function space from an approximation of that function on a possibly lower-order function space.

This can be used to obtain a higher-order approximation of a computed dual solution, which is necessary when the computed dual approximation is in the test space of the primal problem, thereby being orthogonal to the residual.

It is assumed that the extrapolation is computed on the same mesh as the original function.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/adaptivity/Extrapolation.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/adaptivity/Extrapolation.cpp